Skip to main content
POST
/
smart-transfers
/
{ticketId}
/
terms
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketTermResponse>> = fireblocks.smartTransfer.createTicketTerm(smartTransferApiCreateTicketTermRequest);
{
  "message": "Success",
  "data": {
    "id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
    "ticketId": "900f04c3-83bc-428d-b681-aef682059637",
    "asset": "BTC",
    "amount": "133.789161216184",
    "fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
    "fromNetworkIdName": "Source network profile name",
    "toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
    "toNetworkIdName": "Destination network profile name",
    "txHash": "0x2446f1fd773fbb9f080e674b60c6a033c7ed7427b8b9413cf28a2a4a6da9b56c",
    "fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
    "txStatus": "COMPLETED",
    "status": "CREATED",
    "createdAt": "2023-03-01T11:23:00Z",
    "updatedAt": "2023-03-01T11:23:00Z",
    "dvpSrcDstVaultId": 1,
    "amountUsd": "1333.789161216184"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

ticketId
string
required

Body

application/json
asset
string
required

Asset name

Example:

"BTC"

amount
string
required

Amount

Example:

"133.789161216184"

fromNetworkId
string
required

Identifier of the origination Network Profile

Example:

"947c6115-1f5f-4fb4-9fd6-a1f9dee14670"

toNetworkId
string
required

Identifier of the destination Network Profile

Example:

"5d009697-c29b-48e0-aff8-1f4305d19dc2"

Response

Smart Transfer ticket term was created successfully

message
string | null
required

Result message

Example:

"Success"

data
object

Data object with result data